<?php
if(!is_dir(__DIR__.'./db'))
    mkdir(__DIR__.'./db');
if(!defined('db_file')) define('db_file',__DIR__.'./db/payroll_db.db');
function my_udf_md5($string) {
    return md5($string);
}

Class DBConnection extends SQLite3{
    protected $db;
    function __construct(){
        $this->open(db_file);
        $this->createFunction('md5', 'my_udf_md5');
        $this->exec("PRAGMA foreign_keys = ON;");

        $this->exec("CREATE TABLE IF NOT EXISTS `admin_list` (
            `admin_id` INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
            `fullname` INTEGER NOT NULL,
            `username` TEXT NOT NULL,
            `password` TEXT NOT NULL,
            `type` INTEGER NOT NULL Default 1,
            `status` INTEGER NOT NULL Default 1,
            `date_created` TIMESTAMP DEFAULT CURRENT_TIMESTAMP
        )"); 

        //User Comment
        // Type = [ 1 = Administrator, 2 = Cashier]
        // Status = [ 1 = Active, 2 = Inactive]

        $this->exec("CREATE TABLE IF NOT EXISTS `settings_list` (
            `meta_field` TEXT NOT NULL,
            `meta_value` TEXT NOT NULL
        ) ");
        $this->exec("CREATE TABLE IF NOT EXISTS `department_list` (
            `department_id` INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
            `name` TEXT NOT NULL,
            `status` TEXT NOT NULL DEFAULT 0,
            `date_created` TIMESTAMP NOT NULL Default CURRENT_TIMESTAMP
        ) ");
        $this->exec("CREATE TABLE IF NOT EXISTS `designation_list` (
            `designation_id` INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
            `name` TEXT NOT NULL,
            `status` TEXT NOT NULL DEFAULT 0,
            `date_created` TIMESTAMP NOT NULL Default CURRENT_TIMESTAMP
        ) ");
         $this->exec("CREATE TABLE IF NOT EXISTS `employee_list` (
            `employee_id` INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
            `code` TEXT NOT NULL,
            `firstname` TEXT NOT NULL,
            `lastname` TEXT NOT NULL,
            `middlename` TEXT NULL,
            `gender` TEXT NOT NULL,
            `dob` TEXT NOT NULL,
            `email` TEXT NOT NULL,
            `contact` TEXT NOT NULL,
            `address` TEXT NOT NULL,
            `department_id` INTEGER NOT NULL,
            `designation_id` INTEGER NOT NULL,
            `monthly_salary` REAL NOT NULL DEFAULT 0,
            `status` TEXT NOT NULL DEFAULT 0,
            `date_created` TIMESTAMP NOT NULL Default CURRENT_TIMESTAMP,
            FOREIGN KEY(`department_id`) REFERENCES `department_list`(`department_id`) ON DELETE SET NULL,
            FOREIGN KEY(`designation_id`) REFERENCES `designation_list`(`designation_id`) ON DELETE SET NULL
        ) ");
        $this->exec("CREATE TABLE IF NOT EXISTS `tax_table_list` (
            `tax_id` INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
            `payroll_type` INTEGER NOT NULL DEFAULT 1,
            `range_from` REAL NOT NULL DEFAULT 0,
            `range_to` REAL NOT NULL DEFAULT 0,
            `fixed_tax` REAL NOT NULL DEFAULT 0,
            `percentage_over` REAL NOT NULL DEFAULT 0,
            `effective_date` DATE NOT NULL,
            `date_created` TIMESTAMP NOT NULL Default CURRENT_TIMESTAMP
        ) ");
        
        // Tax Table Notes
        // payroll_type = [ 1= Monthly, 2,= Semi-Monthly]

        $this->exec("CREATE TABLE IF NOT EXISTS `payroll_list` (
            `payroll_id` INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
            `payroll_type` INTEGER NOT NULL DEFAULT 1,
            `employee_id` INTEGER NOT NULL,
            `payroll_month` DATE NOT NULL,
            `monthly_rate` REAL NOT NULL DEFAULT 0,
            `daily_rate` REAL NOT NULL DEFAULT 0,
            `hourly` REAL NOT NULL DEFAULT 0,
            `per_minute` REAL NOT NULL DEFAULT 0,
            `no_present` REAL NOT NULL DEFAULT 0,
            `no_absences` REAL NOT NULL DEFAULT 0,
            `late_undertime` REAL NOT NULL DEFAULT 0,
            `ot_min` REAL NOT NULL DEFAULT 0,
            `gross_income` REAL NOT NULL DEFAULT 0,
            `taxable_income` REAL NOT NULL DEFAULT 0,
            `nontaxable_income` REAL NOT NULL DEFAULT 0,
            `total_deduction` REAL NOT NULL DEFAULT 0,
            `total_earnings` REAL NOT NULL DEFAULT 0,
            `withholding_tax` REAL NOT NULL DEFAULT 0,
            `net_pay` REAL NOT NULL DEFAULT 0,
            `date_created` TIMESTAMP NOT NULL Default CURRENT_TIMESTAMP,
            FOREIGN KEY(`employee_id`) REFERENCES `employee_list`(`employee_id`) ON DELETE CASCADE
        ) ");

        $this->exec("CREATE TABLE IF NOT EXISTS `earning_list` (
            `payroll_id` INTEGER NOT Null,
            `name` TEXT NOT Null,
            `amount` REAL NOT Null DEFAULT 0,
            `taxable` INTEGER NOT Null DEFAULT 1,
            `date_created` TIMESTAMP NOT NULL Default CURRENT_TIMESTAMP,
            FOREIGN KEY(`payroll_id`) REFERENCES `payroll_list`(`payroll_id`) ON DELETE CASCADE
        ) ");

        $this->exec("CREATE TABLE IF NOT EXISTS `deduction_list` (
            `payroll_id` INTEGER NOT Null,
            `name` TEXT NOT Null,
            `amount` REAL NOT Null DEFAULT 0,
            `date_created` TIMESTAMP NOT NULL Default CURRENT_TIMESTAMP,
            FOREIGN KEY(`payroll_id`) REFERENCES `payroll_list`(`payroll_id`) ON DELETE CASCADE
        ) ");

        // payroll_list Notes
        // payroll_type = [ 1= Monthly, 2,= Semi-Monthly]


        // $this->exec("CREATE TRIGGER IF NOT EXISTS updatedTime_prod AFTER UPDATE on `vacancy_list`
        // BEGIN
        //     UPDATE `vacancy_list` SET date_updated = CURRENT_TIMESTAMP where vacancy_id = vacancy_id;
        // END
        // ");
        $this->exec("INSERT or IGNORE INTO `admin_list` VALUES (1,'Administrator','admin',md5('admin123'),1,1, CURRENT_TIMESTAMP)");

    }
    function __destruct(){
         $this->close();
    }
}

$conn = new DBConnection();